package com.dbxml.db.core.filer;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: FilerException.java,v 1.3 2004/02/12 00:17:57 bradford Exp $
 */

import com.dbxml.db.core.DBException;

/**
 * A FilerException is thrown by a Filer if an exception occurs
 * in the managing of the Filer.
 */

public class FilerException extends DBException {
   public FilerException(int faultCode) {
      super(faultCode);
   }

   public FilerException(int faultCode, Throwable wrapped) {
      super(faultCode, wrapped);
   }

   public FilerException(int faultCode, String message) {
      super(faultCode, message);
   }

   public FilerException(int faultCode, String message, Throwable wrapped) {
      super(faultCode, message, wrapped);
   }
}
